Ship description box closes automatically after moving the mouse away from it, even when editing.
04/20/2016 09:41 PM - sal_vager

Status: Closed

Severity: Low

Assignee: Romfarer

Category: Controls and Ul

Target version: 1.2.0

Version: 1.1.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

Like the title says, the description box doesn't stay open when editing it if the mouse cursor isn't kept on or near it.

Steps to reproduce:

1) Open any ship

2) Mouse over ship name to bring up description box
3) Start editing description box

4) Move mouse away without clicking on anything

Expected: description box stays open when editing the ship description, regardless of mouse position.
Observed: description box closes automatically if the mouse is moved away from it with an active text cursor in the box.

Workaround: Leave the mouse cursor on the description box while editing

History

#2 - 07/17/2016 09:46 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/17/2016 11:38 AM - Anquietas
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Clarified replication steps:

1. Open the editor
2. Either add a root part or load any user-created ship (so the name and description boxes are editable)
- for some reason stock crafts' description box is not editable regardless.
3. Move the mouse cursor over the text box used for setting the ship name; this should open the description box.
4. Click in the description box; this will create a text cursor (flashing yellow |) in the box indicating you can type into it.
5. Move the mouse cursor so that it is clear of the description box (needs to be at least a few pixels clear of it)

Note the description box closes with the text cursor still active. You can still edit the contents but can't see them without re-opening the description
box. This is the problem; it should stay open until you actually click on something else, so that you can move the mouse cursor out of the way while
writing a ship description, as was the case in prior versions.

| have confirmed this is still an issue in 1.1.3.1289.

#4 - 07/17/2016 11:42 PM - TriggerAu

Thanks Anquietas - great detailed update

#6 - 10/04/2016 08:57 AM - JPLRepo
- Status changed from Updated to Ready to Test
- Target version set to Not Applicable

- % Done changed from 10 to 80
#7 - 10/05/2016 02:05 AM - Anquietas
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

The behaviour hasn't changed since this was originally posted, as of build 1564. It's unclear whether setting to Ready to Test was meant for next
pre-release or to confirm this was still an issue, so I'll set it to Not Fixed for now.

EDIT: Still the same in 1576, so | guess I'll assume it was indeed to confirm this is still an issue.
#8 - 10/14/2016 01:38 AM - Squelch
- Status changed from Not Fixed to Ready to Test

- Target version changed from Not Applicable to 1.2.0
- % Done changed from 50 to 80

The behaviour has been changed to keep the text input box open until the player clicks an area outside of the box. It will remain open even when the
pointer leaves the area

This should be fixed for KSP 1.2

#9 - 10/14/2016 02:43 AM - Anquietas

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Squelch wrote:

The behaviour has been changed to keep the text input box open until the player clicks an area outside of the box. It will remain open even when
the pointer leaves the area

This should be fixed for KSP 1.2

This does appear to be fixed in 1.2.0.1586 :)

#10 - 11/03/2016 06:58 AM - JPLRepo

- Status changed from Resolved to Closed
